﻿@using Kendo.Mvc.UI
@model Iglo.World.ViewModels.ArheaderViewModel

<script>
    function filterData() {
        return {
            headerID: $("#HeaderID").val()
        };
    }
    function gridDataBoundBefore(e) {
        var grid = $("#gridDetail").data("kendoGrid");
        var gridData = grid.dataSource.view();

        gridDataBound(e);
    }
</script>

@using (Html.BeginForm(null, null, FormMethod.Post, new { id = "addEditForm", name = "addEditForm" }))
{
    @Html.Hidden("HeaderID");
    @*@Html.HiddenFor(m => m.InvoiceNum)*@
    <div class="form-horizontal">
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("Invoice No :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-3">
                @(Html.Kendo().TextBoxFor(m => m.InvoiceNum).HtmlAttributes(new { @class = "form-control", @maxlength = 50, @readonly = "readonly" }))
            </div>

            <div class="col-md-2">
                @Html.Label("Customer :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-3">
                @(Html.Kendo().TextBoxFor(m => m.CustId).HtmlAttributes(new { @class = "form-control", @maxlength = 50 }))
            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("Invoice Date :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-3">
                @Html.Kendo().DatePickerFor(m => m.InvoiceDate).Value(DateTime.Today).HtmlAttributes(new { type = "text", placeholder = "Select date" })
            </div>

            <div class="col-md-2">
                @Html.Label("Currency :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-3">
                @(Html.Kendo().TextBoxFor(m => m.CurrencyId).HtmlAttributes(new { @class = "form-control", @maxlength = 4 }))
            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("Description :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-3">
                @(Html.Kendo().TextBoxFor(m => m.HeaderDescription).HtmlAttributes(new { @class = "form-control", @maxlength = 30 }))
            </div>

            <div class="col-md-2">
                @Html.Label("Credit Terms :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-3">
                @(Html.Kendo().TextBoxFor(m => m.TermsId).HtmlAttributes(new { @class = "form-control", @maxlength = 4 }))
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <div class="btn-wrapper">
            <button class="btn btn-primary" type="submit" id="btnSave" name="btnSave">SAVE</button>
            <button class="btn btn-warning" type="button" id="btnAddDetail" name="btnAddDetail">Add Detail</button>
            <button class="btn btn-warning" type="button" id="btnClose" name="btnClose">CLOSE</button>
        </div>
    </div>

    @(Html.Kendo().Grid(Model.Ardetail).Name("gridDetail").Columns(columns =>
{
    columns.Bound(m => m.PartNum).Title("PartID");
    columns.Bound(m => m.PartDescriptions).Title("Unit Description");
    columns.Bound(m => m.Qty).Title("Qty");
    columns.Bound(m => m.Uom).Title("UOM");
    columns.Bound(m => m.Cost).Title("Unit Price");
    columns.Bound(m => m.TotalCost).Title("Total Price");
    //columns.Bound("").ClientTemplate("<a data-id='#=ArdetailId#' href='javascript:;' class='act-btn deleteRow'>Delete</a>").Width(150).Title("").Filterable(false);
})
            .HtmlAttributes(new { style = "height : 450px;" })
            .Scrollable()
            .Sortable()
            .Filterable()
            .Pageable(pageable => pageable
                .Refresh(true)
                .PageSizes(true)
                .ButtonCount(5))
            .DataSource(dataSource => dataSource
                .Ajax()
                .Read(read => read.Action("ListDetail", "AR").Data("filterData"))
                .PageSize(20)
            )
    )
}

<script>
    $(function () {
        $("#btnClose").click(popup.closeClick);
        $("#btnSave").click(popup.btnSaveHeaderClick);
        $("#btnAddDetail").click(popup.addNewDetailClick);
        $("#gridDetail").on("click", ".deleteRow", popup.deleteRowClick);
    });
</script>
